Comment 2 for bug 254042

Daniel Moerner (dmoerner) wrote :

This is confirmed using archive.ubuntu.com/ubuntu, so the problem is not with your local machine (obviously). debootstrap --variant=buildd only looks at priority required plus Build-Essential. The problem is that apt is in priority important:

dmoerner@kronos:~$ aptitude search ~prequired | grep apt
dmoerner@kronos:~$ aptitude search ~pimportant | grep apt
i A apt - Advanced front-end for dpkg
i A apt-utils - APT utility programs

I did not mark this as a confirmed bug because this appears to be intentional behavior, so I think this might be a feature rather than a bug.